Deactivate a Connected Workflow
Purpose
To deactivate a connected workflow process in Zoho CRM.
Endpoints
- PUT /settings/connected_workflows/{connected_workflow_ID}/actions/deactivate
Request Details
Request URL
{api-domain}/crm/{version}/settings/connected_workflows/{connected_workflow_id}/actions/deactivate
Header
Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52
Scope
ZohoCRM.settings.connected_workflows.UPDATE
(or)
ZohoCRM.settings.connected_workflows.ALL
(or)
ZohoCRM.settings.ALL
Sample Request
Copiedcurl "https://www.zohoapis.com/crm/v8/settings/connected_workflows/72638273648927364/actions/deactivate" -H "Authorization:
Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"
-X PUTNote
- Connected workflows are supported in Standard, Professional, Enterprise, and Ultimate editions.
- The user must have Manage Automations or Manage Connected Workflow permission enabled to access this API.
Possible Errors
- INVALID_DATAHTTP 400
The given ID seems to be invalid
Resolution: Provide a valid connected workflow ID in the request URL. - FEATURE_NOT_SUPPORTEDHTTP 400
Your edition doesn't support this feature
Resolution: Upgrade the account to Standard, Professional, Enterprise, or Ultimate edition and then retry the request. - INVALID_REQUEST_METHODHTTP 400
The http request method type is not a valid one
Resolution: This API supports only the PUT method. Retry the request using the PUT method. - OAUTH_SCOPE_MISMATCHHTTP 401
Unauthorized
Resolution: Client does not have the required OAUTH SCOPE. Create a new token with valid scope. Refer to the Scope section for more details. - NO_PERMISSIONHTTP 403
Permission denied
Resolution: Ensure that the user making the API call has the Manage Autiomation or Connected Workflow permission enabled in their CRM profile, and then retry the request. - INVALID_URL_PATTERNHTTP 404
Please check if the URL trying to access is a correct one
Resolution: The request URL specified is incorrect. Specify a valid request URL. Refer to request URL section for more details. - INTERNAL_ERRORHTTP 500
Internal Server Error
Resolution: Unexpected and unhandled exception in Server. Contact support team.
Sample Response
Copied{
"connected_workflows": [
{
"code": "SUCCESS",
"details": {
"id": "4876876000019209007"
},
"message": "connected workflow deactivated successfully",
"status": "success"
}
]
}